import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';
import 'package:syncrow_web/utils/color_manager.dart';
import 'package:syncrow_web/utils/constants/assets.dart';

class SidebarAddCommunityButton extends StatelessWidget {
  const SidebarAddCommunityButton({
    required this.onTap,
    super.key,
  });

  final void Function() onTap;

  @override
  Widget build(BuildContext context) {
    return SizedBox.square(
      dimension: 30,
      child: IconButton(
        style: IconButton.styleFrom(
          iconSize: 20,
          backgroundColor: ColorsManager.circleImageBackground,
          shape: const CircleBorder(
            side: BorderSide(
              color: ColorsManager.lightGrayBorderColor,
              width: 3,
            ),
          ),
        ),
        onPressed: onTap,
        icon: SvgPicture.asset(Assets.addIcon),
      ),
    );
  }
}
